Bug 118694 - fix output of the quotactl command parser
fix output of the quotactl command parser
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: strace (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Roland McGrath
Brian Brock
:
Depends On:
Blocks: 127393
  Show dependency treegraph
 
Reported: 2004-03-18 18:21 EST by Dmitry V. Levin
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-16 19:25:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
strace-4.5.2-alt-quotactl-fix.patch (634 bytes, patch)
2004-03-18 18:22 EST, Dmitry V. Levin
no flags Details | Diff

  None (edit)
Description Dmitry V. Levin 2004-03-18 18:21:23 EST
Description of problem: 
Output of the linux quotactl(2) command parser may be incorrect on 32-bit 
architectures. 
 
Version-Release number of selected component (if applicable): 
strace-4.5.2 
 
How reproducible: 
On filesystems with version 2  quota (vfsv0 in terms of quota-tools) enabled. 
 
Steps to Reproduce: 
# dd if=/dev/zero of=file bs=1024k count=10 
# losetup /dev/loop0 file 
# mkfs.ext2 /dev/loop0 
# mount /dev/loop0 /mnt/disk -ousrquota 
# quotacheck -F vfsv0 /mnt/disk 
# quotaon /mnt/disk 
 
$ strace -e trace=quotactl quota -l >/dev/null 
   
Actual results: 
quotactl(0xff800004 /* Q_??? */|USRQUOTA, "/dev/loop0", 0, 0xbffff5c8) = 0 
quotactl(0xff800005 /* Q_??? */|USRQUOTA, "/dev/loop0", 0, 0xbffff540) = 0 
quotactl(0xff800007 /* Q_??? */|USRQUOTA, "/dev/loop0", 501, 0xbffff450) = 0 
 
Expected results: 
quotactl(Q_GETFMT|USRQUOTA, "/dev/loop0", 0, 0xbffff5d8) = 0 
quotactl(Q_GETINFO|USRQUOTA, "/dev/loop0", 0, 0xbffff550) = 0 
quotactl(Q_GETQUOTA|USRQUOTA, "/dev/loop0", 501, 0xbffff460) = 0
Comment 1 Dmitry V. Levin 2004-03-18 18:22:59 EST
Created attachment 98668 [details]
strace-4.5.2-alt-quotactl-fix.patch

Proposed patch.
Comment 2 Roland McGrath 2004-04-16 17:53:28 EDT
I've put your patch in upstream.
Comment 3 Jay Turner 2004-09-01 23:32:26 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-338.html

Note You need to log in before you can comment on or make changes to this bug.